
void _efl_ui_spotlight_icon_indicator_efl_ui_spotlight_indicator_bind(Eo *obj, Efl_Ui_Spotlight_Icon_Indicator_Data *pd, Efl_Ui_Spotlight_Container *spotlight);


void _efl_ui_spotlight_icon_indicator_efl_ui_spotlight_indicator_content_del(Eo *obj, Efl_Ui_Spotlight_Icon_Indicator_Data *pd, Efl_Gfx_Entity *subobj, int index);


void _efl_ui_spotlight_icon_indicator_efl_ui_spotlight_indicator_content_add(Eo *obj, Efl_Ui_Spotlight_Icon_Indicator_Data *pd, Efl_Gfx_Entity *subobj, int index);


void _efl_ui_spotlight_icon_indicator_efl_ui_spotlight_indicator_position_update(Eo *obj, Efl_Ui_Spotlight_Icon_Indicator_Data *pd, double position);


void _efl_ui_spotlight_icon_indicator_efl_object_destructor(Eo *obj, Efl_Ui_Spotlight_Icon_Indicator_Data *pd);


static Eina_Bool
_efl_ui_spotlight_icon_indicator_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_SPOTLIGHT_ICON_INDICATOR_EXTRA_OPS
#define EFL_UI_SPOTLIGHT_ICON_INDICATOR_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_spotlight_indicator_bind, _efl_ui_spotlight_icon_indicator_efl_ui_spotlight_indicator_bind),
      EFL_OBJECT_OP_FUNC(efl_ui_spotlight_indicator_content_del, _efl_ui_spotlight_icon_indicator_efl_ui_spotlight_indicator_content_del),
      EFL_OBJECT_OP_FUNC(efl_ui_spotlight_indicator_content_add, _efl_ui_spotlight_icon_indicator_efl_ui_spotlight_indicator_content_add),
      EFL_OBJECT_OP_FUNC(efl_ui_spotlight_indicator_position_update, _efl_ui_spotlight_icon_indicator_efl_ui_spotlight_indicator_position_update),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_ui_spotlight_icon_indicator_efl_object_destructor),
      EFL_UI_SPOTLIGHT_ICON_INDICATOR_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_spotlight_icon_indicator_class_desc = {
   EO_VERSION,
   "Efl.Ui.Spotlight.Icon_Indicator",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Spotlight_Icon_Indicator_Data),
   _efl_ui_spotlight_icon_indicator_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_spotlight_icon_indicator_class_get, &_efl_ui_spotlight_icon_indicator_class_desc, EFL_UI_SPOTLIGHT_INDICATOR_CLASS, NULL);
